: Interface DataContentHandler

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.activation
Interface DataContentHandler

All Known Implementing Classes:
  ObjectDataContentHandler

public interface DataContentHandler

Data Content Handler.

Version:
  $Revision: 1.4 $
Author:
  Andrew Selkirk

Method Summary
`java.lang.Object` | `getContent(DataSource source)` Get content object from the data source.
`java.lang.Object` | `getTransferData(java.awt.datatransfer.DataFlavor flavor, DataSource source)` Get transfer data.
`java.awt.datatransfer.DataFlavor[]` | `getTransferDataFlavors()` Get a list of transfer data flavors.
`void` | `writeTo(java.lang.Object object, java.lang.String mimeType, java.io.OutputStream stream)` Write object to stream.

Method Detail

### getContent

    public java.lang.Object getContent(DataSource source)
                                throws java.io.IOException

  Get content object from the data source.
  Parameters:
    `source` - Data source
  Returns:
    Object
  Throws:
    `java.io.IOException` - IO exception occurred

### writeTo

    public void writeTo(java.lang.Object object,
                        java.lang.String mimeType,
                        java.io.OutputStream stream)
                 throws java.io.IOException

  Write object to stream.
  Parameters:
    `object` - Object to write
    `mimeType` - MIME Type of object
    `stream` - Output stream
  Throws:
    `java.io.IOException` - IO exception occurred

### getTransferData

    public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor flavor,
                                            DataSource source)
                                     throws java.awt.datatransfer.UnsupportedFlavorException,
                                            java.io.IOException

  Get transfer data.
  Parameters:
    `flavor` - Data flavor
    `source` - Data source
  Returns:
    TODO
  Throws:
    `java.io.IOException` - IO exception occurred

### getTransferDataFlavors

    public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

  Get a list of transfer data flavors.
  Returns:
    Array listing of data transfer flavors

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2002 the Free Software Foundation, all rights reserved.